Get multiple incidents by IDs
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/incidents/incidents/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/incidents/incidents/v1"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/incidents/incidents/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incidents": {},
"notFoundIds": [
"3f2504e0-4f89-11d3-9a0c-0305e82c3301",
"9c858901-8a57-4791-81fe-4c455b099bc9"
]
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Incidents Service
Get multiple incidents by IDs
Retrieve multiple incidents by their IDs in a single request.
Requires the following permissions:
incidents:read
Get multiple incidents by IDs
Authorizations
API key authentication
Query Parameters
The ids.
Required array length:
1 - 10000 elementsThe ids.
Required string length:
36Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Response
Response containing the requested incidents and any IDs that weren't found
Map of incident IDs to their corresponding incidents
Show child attributes
Show child attributes
List of IDs that were not found
Maximum array length:
10000List of IDs that were not found
Required string length:
36Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
[
"3f2504e0-4f89-11d3-9a0c-0305e82c3301",
"9c858901-8a57-4791-81fe-4c455b099bc9"
]
Was this page helpful?